program a2clnktst;

%include clunk.typ;

var
  value1	: clunk_type;
  sign,day,hour,min,sec : integer;
  ids : integer;

%include a2clnk.ext;

begin
  write('Enter value 1[1..4]:');
  readln(value1[1],value1[2],value1[3],value1[4]);
  write('Enter sign:');
  readln(sign);
  write('Enter day:');
  readln(day);
  write('Enter hour:');
  readln(hour);
  write('Enter minute:');
  readln(min);
  write('Enter second:');
  readln(sec);
  
  a2clnk(value1,sign,day,hour,min,sec,ids);

  writeln('ids:',ids);
  writeln('value 1:',value1[1],value1[2],value1[3],value1[4]);
  writeln('sign   :',sign);
  writeln('day    :',day);
  writeln('hour   :',hour);
  writeln('minute :',min);
  writeln('second :',sec);

end.
